# derivative< hermite< T > > Class Template Reference

`#include <_calculus.h>`

List of all members.

## Public Member Functions

| derivative (const hermite< T > &x)
hermite< T >::result_type | operator() (const typename hermite< T >::argument_type &x) const

## Private Attributes

hermite< T > | func

## Detailed Description

### template<typename T>
class derivative< hermite< T > >

Definition at line 62 of file _calculus.h.

## Constructor & Destructor Documentation

template<typename T>

derivative< hermite< T > >::derivative | ( | const hermite< T > & | x | ) | `[inline, explicit]`

Definition at line 66 of file _calculus.h.

## Member Function Documentation

template<typename T>

hermite<T>::result_type derivative< hermite< T > >::operator() | ( | const typename hermite< T >::argument_type & | x | ) | const`[inline]`

Definition at line 69 of file _calculus.h.

References derivative< T >::func.

## Member Data Documentation

template<typename T>

hermite<T> derivative< hermite< T > >::func `[private]`

Definition at line 64 of file _calculus.h.

The documentation for this class was generated from the following file:

- _calculus.h